Doomsday Engine - Feature #1766

Server-supplied (i.e., remote) resource files
2014-04-18 08:33 - skyjake

Status: Closed Start date: 2014-04-18
Priority: High % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.1 (Late 2018)

Description

The server provides clients with required resources, if the clients lack local copies. This would include PWADs, addons, 3D models,

definitions, and the like. The purpose is to make it easier for clients to experience the game as intended by the server admin.

In practice, the server's resource packs could be made visible on the clients via a remote FS2 folder.

Also see the proposal about this.

Related issues:

Related to Feature #9: Use local server to run single-player games Progressed
Related to Feature #1761: FS2 resource packages Closed
Related to Feature #1601: Package management In Progress
Related to Feature #1878: [MP] Hosted files/pwads etc need client download an... Closed
Related to Bug #1899: [Heretic] MP client imediately seg faults (wrong WADSs) Rejected
Related to Bug #1934: Crash due to IWAD version mismatch in multiplayer Closed
Related to Feature #2185: Package repositories In Progress

2014-04-18
2014-04-18
2014-04-18
2014-10-15
2014-11-18
2014-12-30
2016-11-20

Associated revisions

Revision 5515b674 - 2017-10-16 22:14 - skyjake

Client|FS|Multiplayer: Download missing packages from server before joining

ServerLink's joining procedure was expanded to include an async step
for downloading any packages that the client is missing.

IssuelD #1766

History

#1 - 2014-08-16 15:47 - skyjake

- Subject changed from Server-supplied resource files to Server-supplied (i.e., remote) resource files

#2 - 2014-10-15 12:41 - skyjake
- Related to Feature #1878: [MP] Hosted files/pwads etc need client download and auto load/unload files added

#3 - 2014-10-15 12:42 - skyjake

- Description updated

#4 - 2014-11-18 15:17 - skyjake
- Related to Bug #1899: [Heretic] MP client imediately seg faults (wrong WADs) added

#5 - 2015-01-22 10:53 - skyjake
- Priority changed from High to Urgent

#6 - 2015-04-22 04:33 - danij
- Priority changed from Urgent to High

#7 - 2015-12-09 21:21 - skyjake
- Related to Bug #1934: Crash due to IWAD version mismatch in multiplayer added
#8 - 2016-03-27 08:24 - skyjake
- Target version set to 2.1 (Late 2018)

#9 - 2017-02-08 12:08 - skyjake
- Related to Feature #2185: Package repositories added

#10 - 2017-10-17 08:08 - skyjake
- % Done changed from 0 to 50

#11 - 2017-10-17 08:09 - skyjake

- Status changed from New to In Progress

#12 - 2017-10-30 07:15 - skyjake
- Status changed from In Progress to Resolved
- Assignee set to skyjake

- % Done changed from 50 to 100

#13 - 2018-12-06 12:14 - skyjake

- Status changed from Resolved to Closed
